Theme
Custom Voice
POST
https://www.kkiai.com/kling/v1/general/custom-voices
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Optional | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
voice_name | string | Required | |
voice_url | string | Optional | Voice data file acquisition link Supports audio/video files in .mp3/.wav/.mp4/.mov format The audio must be clean without noise, contain only one human voice, and have a duration of no less than 5 seconds and no more than 30 seconds |
video_id | string | Optional | Historical work ID. Audio material can be provided by referencing historical works. Only videos meeting the following conditions can be used for custom voice: Videos generated using V2.6 model version with sound parameter set to on Videos generated through digital human API Videos generated through lip-sync API The audio must be clean without noise, contain only one human voice, and have a duration of no less than 5 seconds and no more than 30 seconds |
callback_url | string | Optional | |
external_task_id | string | Optional |
Request Example
json
{
"voice_name": "string",
"voice_url": "string",
"video_id": "string",
"callback_url": "string",
"external_task_id": "string"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/general/custom-voices' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"voice_name": "string",
"voice_url": "string",
"video_id": "string",
"callback_url": "string",
"external_task_id": "string"
}'Response
🟢 200 Success
Response Example
json
{
"voice_name": "test voice",
"voice_url": "",
"video_id": "830460928805724256",
"callback_url": "",
"external_task_id": ""
}